Bug 1316982 - Review Request: python-pytest-testmon - A py.test plug-in which executes only tests affected by recent changes
Review Request: python-pytest-testmon - A py.test plug-in which executes only...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominika Krejčí
Fedora Extras Quality Assurance
:
Depends On: 1317131
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 10:56 EST by Miro Hrončok
Modified: 2016-07-10 02:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-30 19:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: fedora‑review+


Attachments (Terms of Use)
Build log with errors caused by tests. (33.24 KB, text/plain)
2016-03-30 08:44 EDT, Dominika Krejčí
no flags Details

  None (edit)
Description Miro Hrončok 2016-03-11 10:56:05 EST
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-pytest-testmon.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-pytest-testmon-0.8.1-1.fc23.src.rpm

Description:

This is a py.test plug-in which automatically selects and re-
executes only tests affected by recent changes.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2016-03-12 06:26:13 EST
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-pytest-testmon.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-pytest-testmon-0.8.2-1.fc23.src.rpm

* Fri Mar 11 2016 Miro Hrončok <mhroncok@redhat.com> - 0.8.2-1
- New upstream release (removes the need for old patch)
- Be consistent with Requires and BRs
- Add coverage_pth to Requires
- Run tests and BR on dependencies
Comment 2 Dominika Krejčí 2016-03-30 08:44 EDT
Created attachment 1141741 [details]
Build log with errors caused by tests.

Hi,
text session is failing, please see attached build.log.
Comment 3 Miro Hrončok 2016-04-08 09:26:27 EDT
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-pytest-testmon.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-pytest-testmon-0.8.2-1.fc23.src.rpm

- Use GitHub archive to get tests
- export PYTHONPATH before running tests

Now the tests should pass.
Comment 4 Dominika Krejčí 2016-04-13 08:02:22 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- add licence file to both packages

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -pytest-testmon , python3-pytest-testmon
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pytest-testmon-0.8.2-1.fc23.noarch.rpm
          python3-pytest-testmon-0.8.2-1.fc23.noarch.rpm
          python-pytest-testmon-0.8.2-1.fc23.src.rpm
python2-pytest-testmon.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
python2-pytest-testmon.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python3-pytest-testmon.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
python3-pytest-testmon.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python-pytest-testmon.src: W: spelling-error Summary(en_US) py -> pt, p, y
python-pytest-testmon.src: W: spelling-error %description -l en_US py -> pt, p, y
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

All spelling errors are false positive. :)


Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-pytest-testmon (rpmlib, GLIBC filtered):
    python(abi)
    python3-coverage
    python3-coverage_pth
    python3-pytest
    python3-setuptools

python2-pytest-testmon (rpmlib, GLIBC filtered):
    python(abi)
    python2-coverage
    python2-coverage_pth
    python2-pytest
    python2-setuptools



Provides
--------
python3-pytest-testmon:
    python3-pytest-testmon

python2-pytest-testmon:
    python-pytest-testmon
    python2-pytest-testmon



Source checksums
----------------
https://github.com/tarpas/pytest-testmon/archive/v0.8.2.tar.gz :
  CHECKSUM(SHA256) this package     : 8d44ed1ef0636fa6ba83b5c0bd23cf93560a46c9f8797e73c4673e870db72b87
  CHECKSUM(SHA256) upstream package : 8d44ed1ef0636fa6ba83b5c0bd23cf93560a46c9f8797e73c4673e870db72b87
Comment 6 Dominika Krejčí 2016-04-13 08:13:02 EDT
All good, package is approved. I'll set the flag once I'm a packager.
Comment 7 Gwyn Ciesla 2016-04-13 11:48:19 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pytest-testmon
Comment 8 Fedora Update System 2016-04-19 16:35:40 EDT
python-pytest-testmon-0.8.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a8df6b7d5
Comment 9 Fedora Update System 2016-04-19 16:36:24 EDT
python-pytest-testmon-0.8.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c164e0f3b6
Comment 10 Fedora Update System 2016-04-20 16:22:19 EDT
python-pytest-testmon-0.8.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a8df6b7d5
Comment 11 Fedora Update System 2016-04-21 17:21:36 EDT
python-pytest-testmon-0.8.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c164e0f3b6
Comment 12 Fedora Update System 2016-04-30 19:53:01 EDT
python-pytest-testmon-0.8.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-07-10 02:01:11 EDT
python-pytest-testmon-0.8.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.